Bug 1126519

Summary: MTU is not configurable with staypuft
Product: Red Hat OpenStack Reporter: Attila Fazekas <afazekas>
Component: ruby193-rubygem-staypuftAssignee: Mike Burns <mburns>
Status: CLOSED EOL QA Contact: Omri Hochman <ohochman>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 5.0 (RHEL 7)CC: ihrachys, mburns, morazi, racedoro, rhos-maint, srevivo
Target Milestone: ---Keywords: Automation, ZStream
Target Release: Installer   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-29 13:33:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Attila Fazekas 2014-08-04 15:31:30 UTC
I was not able to configure virtual network device mtu with staypuft/foreman. 

With neutron networking whn tunneling is used the network_device_mtu  MUST be configured in the nova.conf (on all compute host) and on all neutron host (which runs an L2 agent).

The MTU also SHOULD be advertised to the guest systems via dhcp.
As described here: 
http://bderzhavets.blogspot.cz/2014/03/tuning-neutron-dhcp-agent-dnsmasq-on.html

You also need to add a
dhcp-option=26,<MTU_SIZE>
option to an extra dhcp config file referenced by the dhcp_agent.ini .

NOTE: veth_mtu should be bigger with 802.1Q header size (+4 byte),
the veth_mtu is used when the internal ovs interfaces not supported by ovs or kernel.

The usual value of the network_device_mtu = physical_interface_mtu - tunneling_header_sizes.

VXLAN example:
If you Ethernet interface is configured to 1500 byte, the network_device_mtu should be 1450.
If you physical interface has 9050 byte mtu, the network_device_mtu should be 9000.

NOTE: several old/micro dhcp client agent ignores the mtu size setting supplied via dhcp. (For Ex. cirros)

NOTE: The MTU size on the physical device used for tunneling also should be manageable.

[root@staypuft ~]# rpm -qa |grep for
foreman-1.6.0.21-2.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-2.el6sat.noarch
foreman-postgresql-1.6.0.21-2.el6sat.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
ruby193-rubygem-foreigner-1.4.2-1.el6sat.noarch
foreman-mysql2-1.6.0.21-2.el6sat.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
ruby193-rubygem-foreman-tasks-0.6.4-2.el6sat.noarch
rubygem-foreman_api-0.1.11-4.el6sat.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch
foreman-selinux-1.6.0.3-2.el6sat.noarch
foreman-discovery-image-6.5-20140620.2.el6sat.noarch
libgfortran-4.4.7-4.el6.x86_64
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
[root@staypuft ~]# rpm -qa |grep puppet
puppet-3.6.2-1.1.el6.noarch
puppet-server-3.6.2-1.1.el6.noarch
openstack-puppet-modules-2014.1-19.8.el6ost.noarch
[root@staypuft ~]# rpm -qa |grep stay
ruby193-rubygem-staypuft-0.1.22-1.el6ost.noarch

Comment 3 Ihar Hrachyshka 2014-10-30 14:04:09 UTC
There is a spec for neutron to handle MTU issues, including tunneling overhead calculation: https://review.openstack.org/105989

Comment 4 Jaromir Coufal 2016-09-29 13:33:40 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform